# Account Transactions

<mark style="color:green;">`POST`</mark> `https://api.oneappgo.com/v1/vaccount-trans`

#### Headers

| Name                                            | Type   | Description |
| ----------------------------------------------- | ------ | ----------- |
| authorization<mark style="color:red;">\*</mark> | String | SECRET\_KEY |

#### Request Body

| Name                                         | Type   | Description                                  |
| -------------------------------------------- | ------ | -------------------------------------------- |
| trackingid<mark style="color:red;">\*</mark> | String | virtual account tracing id or account number |

{% tabs %}
{% tab title="200: OK " %}

```json
{
  "status": true,
  "responsecode": "01",
  "msg": "Transaction Retrieved",
  "data": [
    {
      "actno": "0609876113",
      "bankname": "Providus Bank",
      "amount": "90000.75",
      "amount_settled": "89999.00",
      "transfertype": "providus",
      "sessionID": "202602600132307000002",
      "transstat": "01",
      "currency": "NGN",
      "transDate": ""
    },
    {
      "actno": "0609876113",
      "bankname": "Providus Bank",
      "amount": "190000.75",
      "amount_settled": "189999.00",
      "transfertype": "providus",
      "sessionID": "230700020260260013002",
      "transstat": "01",
      "currency": "NGN",
      "transDate": ""
    }
  ]
}
```

{% endtab %}
{% endtabs %}

Take a look at how you might do this:

{% tabs %}
{% tab title="cURL" %}

```php
curl --location 'https://api.oneappgo.com/v1/vaccount-trans' \
--header 'Authorization: Bearer SECRET_KEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "trackingid": "2727"
}'
```

{% endtab %}

{% tab title="NodeJs" %}

```json
var request = require('request');
var options = {
  'method': 'POST',
  'url': 'https://api.oneappgo.com/v1/vaccount-trans',
  'headers': {
    'Authorization': 'Bearer SECRET_KEY',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    "trackingid": "2727"
  })

};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});

```

{% endtab %}

{% tab title="PHP - cURL" %}

```php
$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.oneappgo.com/v1/vaccount-trans',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>'{
    "trackingid": "2727"
}',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer SECRET_KEY',
    'Content-Type: application/json'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

```

{% endtab %}

{% tab title="Dart" %}
{% code overflow="wrap" %}

```dart
var headers = {
  'Authorization': 'Bearer SECRET_KEY',
  'Content-Type': 'application/json'
};
var request = http.Request('POST', Uri.parse('https://api.oneappgo.com/v1/vaccount-trans'));
request.body = json.encode({
  "trackingid": "2727"
});
request.headers.addAll(headers);

http.StreamedResponse response = await request.send();

if (response.statusCode == 200) {
  print(await response.stream.bytesToString());
}
else {
  print(response.reasonPhrase);
}

```

{% endcode %}
{% endtab %}
{% endtabs %}
